add cleanup-latex from steven armstrong

Signed-off-by: Nico Schottelius <nico@kr.ethz.ch>
This commit is contained in:
Nico Schottelius 2011-04-28 19:06:00 +02:00
parent ec0b81db1a
commit d8766e114e
1 changed files with 14 additions and 0 deletions

14
cleanup-latex Executable file
View File

@ -0,0 +1,14 @@
#!/bin/bash
DIR="${1}"
[ -z "${DIR}" ] && DIR="${PWD}"
DIR="${DIR%/}"
if ! [ -d "${DIR}" ]; then
echo "cannot access ${DIR}: No such file or directory" >&2
exit 1
fi
rm "${DIR}"/*.{aux,nav,out,toc,snm,log}